/////////////////////////////////////////////////////////////////////////////
// Name:        mypanel.cpp	(generated and maintained by wxWorkshop's RAD)
// Purpose:     
// Author:      
// Modified by:
// Created:     02/18/01
// RCS-ID:      $ Id$
// Copyright:   (c) 
// Licence:   	
/////////////////////////////////////////////////////////////////////////////


// %%INFO-{
// { TEMPL = "wxPanel for C++" WND_RES = "panel1" MENU_RES = "" DECL_FILE = "mypanel.h" CLASS = "MyPanel" RES_FILE = "demo.xrc" }
// %%INFO-}

#ifdef __GNUG__
    #pragma implementation "mypanel.cpp"
    #pragma interface "mypanel.h"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "mypanel.h"
#include "wx/xml/xmlres.h"
#include "wx/wspp/init.h"



/***** Implementation for class MyPanel *****/

IMPLEMENT_DYNAMIC_CLASS( MyPanel, wxPanel )

BEGIN_EVENT_TABLE( MyPanel, wxPanel )

// %%EVT_TBL-{
	EVT_BUTTON( XMLID("hello"), MyPanel::OnButtonHello )
	EVT_BUTTON( XMLID("goodbye"), MyPanel::OnButtonGoodbye )
	EVT_BUTTON( XMLID("niceday"), MyPanel::OnButtonNiceday )
// %%EVT_TBL-}

END_EVENT_TABLE()

MyPanel::MyPanel()

	: wxPanel()
{
}

MyPanel::~MyPanel()
{
}

// %%EVT_IMPS-{

void MyPanel::OnButtonHello( wxCommandEvent& event )
{
	wxMessageBox( "MyPanel::OnButtonHello" );
}

void MyPanel::OnButtonGoodbye( wxCommandEvent& event )
{
	wxMessageBox( "MyPanel::OnButtonGoodbye" );
}

void MyPanel::OnButtonNiceday( wxCommandEvent& event )
{
	wxMessageBox( "MyPanel::OnButtonNiceday" );
}
// %%EVT_IMPS-}

// %%GETTER_IMPLS-{
// %%GETTER_IMPLS-}

// %%SETTER_IMPLS-{
// %%SETTER_IMPLS-}

/*** protected members ***/

void MyPanel::DoInit()
{
	// %%MEMBER_INITS-{
	// %%MEMBER_INITS-}

	// %%CTL_MEMBER_INITS-{
	m_pHello = (wxButton*)FindWindow( XMLID( "hello" ) );
	m_pGoodbye = (wxButton*)FindWindow( XMLID( "goodbye" ) );
	m_pNiceday = (wxButton*)FindWindow( XMLID( "niceday" ) );
	// %%CTL_MEMBER_INITS-}
	
	ExchangeValues( TRUE );	
}

void MyPanel::ExchangeValues( bool toControls )
{
	if ( toControls )
	{
	// %%MEMBER_VALUES_TO_CTL-{
	// %%MEMBER_VALUES_TO_CTL-}
	}
	else
	{
	// %%CTL_VALUES_TO_MEMBER-{
	// %%CTL_VALUES_TO_MEMBER-}
	}
}

